apc_add
apc_bin_dumpfile
APC Functions
PHP Manual

# apc_bin_dump

Get a binary dump of the given files and user variables

### Description

string apc_bin_dump ([ array `$files` = NULL [, array `$user_vars` = NULL ]] )

Returns a binary dump of the given files and user variables from the APC cache. A `NULL` for files or user_vars signals a dump of every entry, whereas array() will dump nothing.

### Parameters

`files`

  The files. Passing in `NULL` signals a dump of every entry, while passing in array will dump nothing.

`user_vars`

  The user vars. Passing in `NULL` signals a dump of every entry, while passing in array will dump nothing.

### Return Values

Returns a binary dump of the given files and user variables from the APC cache, `FALSE` if APC is not enabled, or `NULL` if an unknown error is encountered.

### See Also

- apc_bin_dumpfile
- apc_bin_load